<div>
    <!-- <h2>
        <span jhiTranslate="mpmApp.invoiceItem.home.title">Invoice Items</span>
        <button class="btn btn-primary float-right jh-create-entity create-invoice-item" [routerLink]="['/', { outlets: { popup: ['invoice-item-new'] } }]">
            <span class="fa fa-plus"></span>
            <span class="hidden-sm-down"  jhiTranslate="mpmApp.invoiceItem.home.createLabel">
            Create new Invoice Item
            </span>
        </button>
    </h2> -->
    <jhi-alert></jhi-alert>
    <!-- <div class="row">
        <div class="col-sm-12">
            <form name="searchForm" class="form-inline">
                <div class="input-group w-100 mt-3">
                    <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch" name="currentSearch" placeholder="{{ 'mpmApp.invoiceItem.home.search' | translate }}">
                    <button class="input-group-addon btn btn-info" (click)="search(currentSearch)">
                        <span class="fa fa-search"></span>
                    </button>
                    <button class="input-group-addon btn btn-danger" (click)="clear()" *ngIf="currentSearch">
                        <span class="fa fa-trash-o"></span>
                    </button>
                </div>
            </form>
        </div>
    </div> -->
    <div>
        <p-dataTable [value]="invoiceItems"  [rows]="itemsPerPage" [paginator]="true" [pageLinks]="5"
        [rowsPerPageOptions]="[10,15,20]" [totalRecords]="totalItems" [responsive]="true" [lazy]="true"
        row="itemsPerPage" totalRecords="totalItems" dataKey="idinvdet" expandableRows="false"
        (onLazyLoad)="loadDataLazy($event)" sortMode="multiple">
            <header>

            </header>
            <p-column header="No">
                <ng-template let-rowIndex="rowIndex" pTemplate="body">
                    {{rowIndex + 1}}
                </ng-template>
            </p-column>
            <p-column header="No PO">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.nopo}}
                </ng-template>
            </p-column>
            <p-column header="No BBM">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.nobbm}}
                </ng-template>
            </p-column>
            <p-column header="No SJ">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.donum}}
                </ng-template>
            </p-column>
            <p-column header="No LHP">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.nolhp}}
                </ng-template>
            </p-column>
            <p-column header="Status LHP">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.statuslhp}}
                </ng-template>
            </p-column>
            <p-column header="Kode Barang">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.productcode}}
                </ng-template>
            </p-column>
            <p-column header="Nama Barang">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.productname}}
                </ng-template>
            </p-column>
            <p-column header="QTY" [style]="{'text-align': 'right'}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.qty | number:'1.0-2'}}
                </ng-template>
            </p-column>
            <p-column header="Harga Satuan" [style]="{'text-align': 'right'}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.price | number:'1.0-2'}}
                </ng-template>
            </p-column>
            <p-column header="Harga Total" [style]="{'text-align': 'right'}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.totalprice | number:'1.0-2'}}
                </ng-template>
            </p-column>
        </p-dataTable>
    </div>
        <!-- <div *ngIf="invoiceItems && invoiceItems.length">
            <div class="row justify-content-center">
                <jhi-item-count [page]="page" [total]="queryCount" [itemsPerPage]="itemsPerPage"></jhi-item-count>
            </div>
            <div class="row justify-content-center">
                <ngb-pagination [collectionSize]="totalItems" [(page)]="page" (pageChange)="loadPage(page)"></ngb-pagination>
            </div>
        </div> -->
</div>
